Bug 987181 - (CVE-2013-4168) CVE-2013-4168 smokeping: XSS flaw with start and end time fields
CVE-2013-4168 smokeping: XSS flaw with start and end time fields
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130720,repor...
: Security
Depends On: 986522
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-22 17:27 EDT by Vincent Danen
Modified: 2016-03-04 06:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-15 17:27:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-07-22 17:27:56 EDT
Another XSS was reported [1] in smokeping, regarding the "start" and "end" time fields.  These fields are not properly filtered.  This has been fixed in upstream git [2].

[1] http://seclists.org/oss-sec/2013/q3/156
[2] https://github.com/oetiker/SmokePing/commit/bad9f9c28f0939b269f90072aa4cf41f20f15563
Comment 1 Vincent Danen 2013-07-22 17:28:49 EDT
Created smokeping tracking bugs for this issue:

Affects: fedora-all [bug 986522]
Comment 2 Vincent Danen 2013-07-22 17:33:33 EDT
Created smokeping tracking bugs for this issue:

Affects: fedora-all [bug 986522]
Comment 3 Vincent Danen 2013-07-25 17:52:32 EDT
This was assigned CVE-2013-4168; see http://seclists.org/oss-sec/2013/q3/193
Comment 4 Fedora Update System 2013-08-14 22:45:19 EDT
smokeping-2.6.9-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-08-14 22:49:25 EDT
smokeping-2.6.9-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.